logoChakra
The agent guru
Api keyCreate

/api-key/create

Create a new API key for a user

POST
/api-key/create

Create a new API key for a user

Authorization

bearerAuth
AuthorizationBearer <token>

Bearer token authentication

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/api-key/create" \  -H "Content-Type: application/json" \  -d '{    "expiresIn": "string",    "remaining": "string"  }'
{  "id": "string",  "createdAt": "2019-08-24T14:15:22Z",  "updatedAt": "2019-08-24T14:15:22Z",  "name": "string",  "prefix": "string",  "start": "string",  "key": "string",  "enabled": true,  "expiresAt": "2019-08-24T14:15:22Z",  "userId": "string",  "lastRefillAt": "2019-08-24T14:15:22Z",  "lastRequest": "2019-08-24T14:15:22Z",  "metadata": {},  "rateLimitMax": 0,  "rateLimitTimeWindow": 0,  "remaining": 0,  "refillAmount": 0,  "refillInterval": 0,  "rateLimitEnabled": true,  "requestCount": 0,  "permissions": {    "property1": [      "string"    ],    "property2": [      "string"    ]  }}